Bio::SeqFeature::SimilarityPair(3)

NAME
Bio::SeqFeature::SimilarityPair - Sequence feature based on the similarity
                  of two sequences.

SYNOPSIS
  $sim_pair = Bio::SeqFeature::SimilarityPair->from_searchResult($blastHit);
  $sim = $sim_pair->query(); # a Bio::SeqFeature::Similarity object
  $sim = $sim_pair->subject(); # dto.
  # some properties for the similarity pair
  $expect = $sim_pair->significance();
  $score = $sim_pair->score();
  $bitscore = $sim_pair->bits();
  # this will not write the description for the sequence (only its name)
  print $sim_pair->query()->gff_string(), "\n";

DESCRIPTION
Lightweight similarity search result as a pair of Similarity features. This class inherits off Bio::SeqFeature::FeaturePair and therefore implements Bio::SeqFeatureI, whereas the two features of the pair are descendants of Bio::SeqFeature::Generic, with better support for representing similarity search results in a cleaner way.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bio.perl.org/MailList.html  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track
 the bugs and their resolution. Bug reports can be submitted via
 email or the web:

  bioperl-bugs@bio.perl.org
  http://bio.perl.org/bioperl-bugs/

AUTHOR - Hilmar Lapp
Email hlapp@gmx.net or hilmar.lapp@pharma.novartis.com

Describe contact details here

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  from_searchResult
 Title   : from_searchResult
 Usage   : $sim_pair = Bio::SeqFeature::SimilarityPair->from_searchResult($blast_obj);
           $sim_pair->from_searchResult($blast_obj);
 Function: This method creates or fills SimilarityPair objects from objects
           representing similarity search results.
           Since there is no public interface search result objects are
           required to implement, this method basically checks for the type
           of the object and dispatches the actual SimilarityPair creation
           to a method capable of this.
           At present, the following classes are recognized:
           Bio::Tools::Blast::Sbjct
           Bio::Tools::Blast::HSP
           An exception will be thrown if an object of an unrecognized class
           is passed.
           Note that this is probably the point where you will want to add
           your class if you have a method for creating SimilarityPair
           objects from it.
           Note that passing an object that has already previously been
           filled is potentially error-prone, because undefined fields
           will not be (re-)set to an undef value.
 Returns : The object created or filled.
 Args    :

  _from_blastObject
 Title   : from_blastObject
 Usage   : $sim_pair = Bio::SeqFeature::SimilarityPair->_from_blastObj($blast_obj);
           $sim_pair->_from_blastObj($blast_obj);
 Function: See documentation for from_searchResult(). This one handles
           Bio::Tools::Blast::Sbjct and Bio::Tools::Blast::HSP objects.
 Returns : A SimilarityPair object.
 Args    :

  query
 Title   : query
 Usage   : $query_feature = $obj->query();
           $obj->query($query_feature);
 Function:
 Returns :
 Args    :

  subject
 Title   : subject
 Usage   : $sbjct_feature = $obj->subject();
           $obj->subject($sbjct_feature);
 Function:
 Returns :
 Args    :

  source_tag
 Title   : source_tag
 Usage   : $source = $obj->source_tag(); # i.e., program
           $obj->source_tag($evalue);
 Function:
 Returns :
 Args    :

  significance
 Title   : significance
 Usage   : $evalue = $obj->significance();
           $obj->significance($evalue);
 Function:
 Returns :
 Args    :

  score
 Title   : score
 Usage   : $score = $obj->score();
           $obj->score($value);
 Function:
 Returns :
 Args    :

  bits
 Title   : bits
 Usage   : $bits = $obj->bits();
           $obj->bits($value);
 Function:
 Returns :
 Args    :